﻿using HeuristicLab.Algorithms.PushGP.Interpreter;

namespace HeuristicLab.BenchmarkSuite.ProblemData {

  public interface IPushData : IData {
    void ApplyTrainingInput(IPushGpInterpreter interpreter, int index);
    void ApplyTestInput(IPushGpInterpreter interpreter, int index);
    double CompareTrainingOutput(IPushGpInterpreter interpreter, int index);
    double CompareTestOutput(IPushGpInterpreter interpreter, int index);
  }
}
